"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var classnames_1 = __importDefault(require("classnames"));
var utils_1 = require("@react-md/utils");
var block = utils_1.bem("rmd-dialog");
/**
 * This component is used to render the main content within a dialog. There are really
 * only benefits when using the component alongside the `DialogHeader` and/or `DialogFooter`
 * since it is set up so only the content will scroll while the header and footer will
 * be "fixed".
 */
var DialogContent = function (providedProps) {
    var _a = providedProps, children = _a.children, className = _a.className, forwardedRef = _a.forwardedRef, disablePadding = _a.disablePadding, props = __rest(_a, ["children", "className", "forwardedRef", "disablePadding"]);
    return (react_1.default.createElement("div", __assign({}, props, { className: classnames_1.default(block("content", {
            padded: !disablePadding,
        }), className), ref: forwardedRef }), children));
};
var defaultProps = {
    disablePadding: false,
};
DialogContent.defaultProps = defaultProps;
if (process.env.NODE_ENV !== "production") {
    DialogContent.displayName = "DialogContent";
    var PropTypes = null;
    try {
        PropTypes = require("prop-types");
    }
    catch (e) { }
    if (PropTypes) {
        DialogContent.propTypes = {
            className: PropTypes.string,
            children: PropTypes.node,
            disablePadding: PropTypes.bool,
        };
    }
}
exports.default = react_1.forwardRef(function (props, ref) { return (react_1.default.createElement(DialogContent, __assign({}, props, { forwardedRef: ref }))); });
//# sourceMappingURL=DialogContent.js.map